glibmm: Glib::Value< std::vector< Glib::ustring > > Class Reference

glibmm 2.66.0

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Value< std::vector< Glib::ustring > > Class Reference
Generic Values

Specialization for vectors of UTF-8 strings. More...

`#include <glibmm/value.h>`

Inheritance diagram for Glib::Value< std::vector< Glib::ustring > >:
[legend]

## Public Types
using | CppType = std::vector< Glib::ustring >

## Public Member Functions
void | set (const CppType& data)
CppType | get () const
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const

## Static Public Member Functions
static GType | value_type ()
Static Public Member Functions inherited from Glib::ValueBase_Boxed
static GType | value_type ()

## Additional Inherited Members
Protected Member Functions inherited from Glib::ValueBase_Boxed
void | set_boxed (const void* data)
void* | get_boxed () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Detailed Description

Specialization for vectors of UTF-8 strings.

## Member Typedef Documentation

## ◆ CppType

using Glib::Value< std::vector< Glib::ustring > >::CppType = std::vector<Glib::ustring>

## Member Function Documentation

## ◆ get()

CppType Glib::Value< std::vector< Glib::ustring > >::get | ( |  | ) | const

## ◆ set()

void Glib::Value< std::vector< Glib::ustring > >::set | ( | const CppType& | data | ) |

## ◆ value_type()

static GType Glib::Value< std::vector< Glib::ustring > >::value_type | ( |  | ) |
| static